diff tests/test-profile @ 8024:9a1b86cfd29e

profiling: Adding support for kcachegrind output format, using lsprofcalltree
author Nicolas Dumazet <nicdumz.commits@gmail.com>
date Wed, 08 Apr 2009 14:20:57 +0200
parents fd9debb3ea1b
children
line wrap: on
line diff
--- a/tests/test-profile	Thu Apr 02 16:01:30 2009 +0900
+++ b/tests/test-profile	Wed Apr 08 14:20:57 2009 +0200
@@ -18,4 +18,15 @@
 
     hg --profile --config profiling.format=text st 2>&1 \
         | grep CallCount > /dev/null || echo --profile format=text failed
+
+    echo "[profiling]" >> $HGRCPATH
+    echo "format=kcachegrind" >> $HGRCPATH
+
+    hg --profile st 2>../out || echo --profile format=kcachegrind failed
+    grep 'events: Ticks' < ../out > /dev/null || echo --profile output is wrong
+
+    hg --profile --config profiling.output=../out st 2>&1 \
+        || echo --profile format=kcachegrind + output to file failed
+    grep 'events: Ticks' < ../out > /dev/null \
+        || echo --profile output is wrong
 fi